## python-oslo.reports 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Jinja2>=2.6 # BSD License (3 clause)
Babel>=1.3
oslo.serialization>=1.4.0 # Apache-2.0
psutil<2.0.0,>=1.1.1
six>=1.9.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (0.5.0-1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 29 Sep 2015 06:32:03 +0000

python-oslo.reports (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Only test with python 3.4 for now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 18:34:39 +0200

python-oslo.reports (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #794167)

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jul 2015 00:18:51 +0200

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-eventlet (>= 0.17.4),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-jinja2,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-psutil,
                     python-six (>= 1.9.0),
                     python3-babel (>= 1.3),
                     python3-eventlet (>= 0.17.4),
                     python3-greenlet (>= 0.3.2),
                     python3-jinja2 (>= 2.6),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psutil,
                     python3-six (>= 1.9.0),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.reports.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.reports.git
Homepage: http://launchpad.net/oslo

Package: python-oslo.reports
Architecture: all
Depends: python-babel,
         python-jinja2,
         python-oslo.i18n (>= 1.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-psutil,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.reports-doc,
Description: reports serialized in various data types - Python 2.7
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.reports
Architecture: all
Depends: python3-babel,
         python3-jinja2,
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr (>= 1.8),
         python3-psutil,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.reports.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.reports; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.reports; \
	done
	rm -rf $(CURDIR)/debian/python*-oslo.reports/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.reports 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
Babel>=1.3 # BSD
oslo.serialization>=1.10.0 # Apache-2.0
psutil<2.0.0,>=1.1.1 # BSD
six>=1.9.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 10:13:22 +0000

python-oslo.reports (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 12:43:58 +0000

python-oslo.reports (1.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 02:11:12 +0000

python-oslo.reports (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends versions.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 07:12:17 +0000

python-oslo.reports (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also test with Py3.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 06:36:18 +0000

python-oslo.reports (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:51:33 +0100

python-oslo.reports (0.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:31:55 +0000

=== debian/control ===
--- 
+++ 
@@ -14,41 +14,42 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
-                     python-eventlet (>= 0.17.4),
+                     python-coverage,
+                     python-eventlet (>= 0.18.4),
                      python-greenlet (>= 0.3.2),
                      python-hacking,
-                     python-jinja2,
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-jinja2 (>= 2.8),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-psutil,
                      python-six (>= 1.9.0),
                      python3-babel (>= 1.3),
-                     python3-eventlet (>= 0.17.4),
+                     python3-eventlet (>= 0.18.4),
                      python3-greenlet (>= 0.3.2),
-                     python3-jinja2 (>= 2.6),
-                     python3-oslo.config (>= 1:2.3.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.serialization (>= 1.4.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-jinja2 (>= 2.8),
+                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.serialization (>= 1.10.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
                      python3-psutil,
                      python3-six (>= 1.9.0),
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.reports.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.reports.git
-Homepage: http://launchpad.net/oslo
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.reports.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.reports.git
+Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.reports
 Architecture: all
 Depends: python-babel,
-         python-jinja2,
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
+         python-jinja2 (>= 2.8),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-psutil,
          python-six (>= 1.9.0),
@@ -66,10 +67,10 @@
 Package: python3-oslo.reports
 Architecture: all
 Depends: python3-babel,
-         python3-jinja2,
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.serialization (>= 1.4.0),
-         python3-oslo.utils (>= 2.0.0),
+         python3-jinja2 (>= 2.8),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.serialization (>= 1.10.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
          python3-psutil,
          python3-six (>= 1.9.0),

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 3.4 ; do \
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-oslo.reports 1.11.0

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,8 @@
 
 pbr>=1.6 # Apache-2.0
 Jinja2>=2.8 # BSD License (3 clause)
-Babel>=1.3 # BSD
 oslo.serialization>=1.10.0 # Apache-2.0
 psutil<2.0.0,>=1.1.1 # BSD
 six>=1.9.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.11.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.11.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:35:14 +0000

python-oslo.reports (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Switch to pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 19:20:11 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           David Della Vecchia <ddv@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -13,43 +14,40 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-coverage,
+Build-Depends-Indep: python-coverage,
                      python-eventlet (>= 0.18.4),
                      python-greenlet (>= 0.3.2),
                      python-hacking,
                      python-jinja2 (>= 2.8),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.config (>= 1:3.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-psutil,
                      python-six (>= 1.9.0),
-                     python3-babel (>= 1.3),
                      python3-eventlet (>= 0.18.4),
                      python3-greenlet (>= 0.3.2),
                      python3-jinja2 (>= 2.8),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.config (>= 1:3.10.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1.10.0),
                      python3-psutil,
                      python3-six (>= 1.9.0),
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.reports.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.reports.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.reports?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-oslo.reports -b debian/newton
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.reports
 Architecture: all
-Depends: python-babel,
-         python-jinja2 (>= 2.8),
+Depends: python-jinja2 (>= 2.8),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.11.0),
          python-pbr (>= 1.8),
          python-psutil,
          python-six (>= 1.9.0),
@@ -66,11 +64,10 @@
 
 Package: python3-oslo.reports
 Architecture: all
-Depends: python3-babel,
-         python3-jinja2 (>= 2.8),
+Depends: python3-jinja2 (>= 2.8),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.11.0),
          python3-pbr (>= 1.8),
          python3-psutil,
          python3-six (>= 1.9.0),

## python-oslo.reports 1.14.0

=== requirements.txt ===
--- 
+++ 
@@ -8,4 +8,4 @@
 psutil<2.0.0,>=1.1.1 # BSD
 six>=1.9.0 # MIT
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.14.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:49:54 +0000

python-oslo.reports (1.14.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:02 +0200

python-oslo.reports (1.14.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 12:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
@@ -19,27 +19,27 @@
                      python-greenlet (>= 0.3.2),
                      python-hacking,
                      python-jinja2 (>= 2.8),
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-psutil,
                      python-six (>= 1.9.0),
                      python3-eventlet (>= 0.18.4),
                      python3-greenlet (>= 0.3.2),
                      python3-jinja2 (>= 2.8),
-                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-psutil,
                      python3-six (>= 1.9.0),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.reports?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.reports -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.reports?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.reports -b debian/newton
 Homepage: https://launchpad.net/oslo
 
 Package: python-oslo.reports
@@ -47,7 +47,7 @@
 Depends: python-jinja2 (>= 2.8),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-psutil,
          python-six (>= 1.9.0),
@@ -67,7 +67,7 @@
 Depends: python3-jinja2 (>= 2.8),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-psutil,
          python3-six (>= 1.9.0),

## python-oslo.reports 1.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
oslo.serialization>=1.10.0 # Apache-2.0
psutil>=1.2.1 # BSD
six>=1.9.0 # MIT
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.17.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 20:04:23 +0000

python-oslo.reports (1.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:30:30 -0500

python-oslo.reports (1.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:45:47 -0500

python-oslo.reports (1.15.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 13:35:53 -0400

python-oslo.reports (1.14.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Aug 2016 15:41:22 -0400

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.12.0),
                     python-jinja2 (>= 2.8),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-psutil (>= 1.2.1),
                     python-six (>= 1.9.0),
                     python3-eventlet (>= 0.18.2),
                     python3-greenlet (>= 0.3.2),
                     python3-jinja2 (>= 2.8),
                     python3-oslo.config (>= 1:3.14.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1.10.0),
                     python3-psutil (>= 1.2.1),
                     python3-six (>= 1.9.0)
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python-oslo.reports
Architecture: all
Depends: python-jinja2 (>= 2.8),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-psutil (>= 1.2.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-oslo.reports-doc,
Description: reports serialized in various data types - Python 2.7
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 2.7 module.

Package: python3-oslo.reports
Architecture: all
Depends: python3-jinja2 (>= 2.8),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-psutil (>= 1.2.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

## python-oslo.reports 1.22.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
psutil>=3.2.2 # BSD
six>=1.9.0 # MIT
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.22.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 12 Aug 2017 02:13:35 +0000

python-oslo.reports (1.22.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:14:21 -0400

python-oslo.reports (1.21.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Jul 2017 22:13:12 -0400

python-oslo.reports (1.19.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:04:14 +0100

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,36 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-coverage (>= 4.0),
                      python-eventlet (>= 0.18.2),
                      python-greenlet (>= 0.3.2),
-                     python-hacking (>= 0.12.0),
                      python-jinja2 (>= 2.8),
-                     python-oslo.config (>= 1:3.14.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
-                     python-psutil (>= 1.2.1),
+                     python-psutil (>= 3.2.2),
                      python-six (>= 1.9.0),
+                     python3-coverage (>= 4.0),
                      python3-eventlet (>= 0.18.2),
                      python3-greenlet (>= 0.3.2),
                      python3-jinja2 (>= 2.8),
-                     python3-oslo.config (>= 1:3.14.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-oslo.config (>= 1:4.0.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1.10.0),
-                     python3-psutil (>= 1.2.1),
-                     python3-six (>= 1.9.0)
+                     python3-psutil (>= 3.2.2),
+                     python3-six (>= 1.9.0),
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.reports
@@ -50,7 +51,7 @@
          python-oslo.i18n (>= 2.1.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-psutil (>= 1.2.1),
          python-six (>= 1.9.0),
          ${misc:Depends},
@@ -70,7 +71,7 @@
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.serialization (>= 1.10.0),
          python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
+         python3-pbr (>= 2.0.0),
          python3-psutil (>= 1.2.1),
          python3-six (>= 1.9.0),
          ${misc:Depends},

## python-oslo.reports 1.26.0

=== requirements.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
-oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
+oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 psutil>=3.2.2 # BSD
-six>=1.9.0 # MIT
-oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
-oslo.utils>=3.20.0 # Apache-2.0
+six>=1.10.0 # MIT
+oslo.i18n>=3.15.3 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0

=== debian/changelog ===
python-oslo.reports (1.26.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:26:41 +0000

python-oslo.reports (1.26.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 11:28:45 +0000

python-oslo.reports (1.22.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Fixed minimum version for openstackdocstheme (Closes: #880398).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 09:47:43 +0000

python-oslo.reports (1.22.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Sep 2017 17:03:26 +0000

=== debian/control ===
Source: python-oslo.reports
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-eventlet,
 python-greenlet (>= 0.3.2),
 python-hacking,
 python-jinja2,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1.10.0),
 python-psutil,
 python-six,
 python3-eventlet,
 python3-greenlet (>= 0.3.2),
 python3-jinja2,
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1.10.0),
 python3-psutil,
 python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.reports
Architecture: all
Depends:
 python-jinja2,
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-psutil,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-oslo.reports-doc,
Description: reports serialized in various data types - Python 2.7
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 2.7 module.

Package: python-oslo.reports-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: reports serialized in various data types - doc
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the documentation.

Package: python3-oslo.reports
Architecture: all
Depends:
 python3-jinja2,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-psutil,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.reports-doc,
Description: reports serialized in various data types - Python 3.x
 This package/module provides mechanisms for defining reports which may then
 be serialized into various data types. Each report is composed of one or more
 report sections, which contain generators which generate data models, which
 are then serialized by views.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,26 +1,13 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/openstack/oslo.reports.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.reports.git
 include /usr/share/openstack-pkg-tools/pkgos.make
-
-export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-oslo.reports; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-oslo.reports; \
-	done
-	rm -rf $(CURDIR)/debian/python*-oslo.reports/usr/lib/python*/dist-packages/*.pth
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

## python-oslo.reports 1.28.0

=== debian/changelog ===
python-oslo.reports (1.28.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Added missing subunit and testrepository build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:14:59 +0200

python-oslo.reports (1.28.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to pgkos-dh_auto_test and blacklist one test which appears
    obviously broken (but the non-test code looks fine).

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 01:21:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-oslo.reports
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,34 +11,36 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-coverage,
  python-eventlet,
  python-greenlet (>= 0.3.2),
  python-hacking,
- python-jinja2,
- python-openstackdocstheme (>= 1.17.0),
- python-oslo.config (>= 1:5.1.0),
+ python-jinja2 (>= 2.10),
+ python-oslo.config (>= 1:5.2.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1.10.0),
+ python-oslotest (>= 1:3.2.0),
  python-psutil,
  python-six,
  python3-eventlet,
  python3-greenlet (>= 0.3.2),
- python3-jinja2,
- python3-oslo.config (>= 1:5.1.0),
+ python3-jinja2 (>= 2.10),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1.10.0),
+ python3-oslotest (>= 1:3.2.0),
  python3-psutil,
  python3-six,
+ subunit,
+ testrepository,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports
 Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.reports.git
@@ -47,7 +49,7 @@
 Package: python-oslo.reports
 Architecture: all
 Depends:
- python-jinja2,
+ python-jinja2 (>= 2.10),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
@@ -83,7 +85,7 @@
 Package: python3-oslo.reports
 Architecture: all
 Depends:
- python3-jinja2,
+ python3-jinja2 (>= 2.10),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.20.0),

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
-	done
+	pkgos-dh_auto_test 'oslo_reports\.tests\.(?!(.*test_openstack_generators\.TestOpenstackGenerators\.test_config_model.*))'
 endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
+	python3 -m sphinx -b html doc/source debian/python-oslo.reports-doc/usr/share/doc/python-oslo.reports-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 override_dh_clean:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/oslo.reports/tags .*/(\d[\d\.]+)\.tar\.gz

## python-oslo.reports 1.29.2

=== debian/changelog ===
python-oslo.reports (1.29.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2019 16:44:33 +0000

python-oslo.reports (1.29.2-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:04:29 +0000

python-oslo.reports (1.29.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Dropped, no longer needed

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:26:06 +0000

python-oslo.reports (1.28.0-0ubuntu3) cosmic; urgency=medium

  * d/p/oslo.config-compat.patch: Cherry pick fix for compat with
    latest oslo.config release, resolving autopkgtest failures.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Aug 2018 10:03:50 +0100

python-oslo.reports (1.28.0-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/control: Switch to python3-sphinx for doc build.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 09:31:39 +0100

python-oslo.reports (1.28.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/rules: Use pkgos-dh_auto_test.
    - d/control: Update Vcs-* fields, enable autopkgtest-pkg-python.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:02:24 +0100

python-oslo.reports (1.26.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2, no changes.
  * d/p/*: Drop all patches, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:48:39 +0000

python-oslo.reports (1.24.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:23:23 +0000
